<?php
/** @var MSTS_InvoiceMe_Block_Payment_Info_InvoiceMe $this */

/** @var MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe $method */
$method = $this->getMethod();
/** @var Mage_Sales_Model_Order_Payment $paymentInfoInstance */
$paymentInfoInstance = $method->getInfoInstance();
$poNumber = $paymentInfoInstance->getAdditionalInformation(MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_PO_NUMBER) ?: '-';
$notes = $paymentInfoInstance->getAdditionalInformation(MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_NOTES) ?: '-';
?>
<p><?php echo $this->escapeHtml($this->getMethod()->getTitle()) ?></p>
<div class="fieldset">
    <table cellspacing="0" class="form-list">
        <tr>
            <td class="label"><label><?php echo $this->__('Purchase Order Number') ?></label></td>
            <td class="value">
                <?php if ('-' == $poNumber) : ?>
                    <strong><?php echo $poNumber ?></strong>
                <?php else : ?>
                    <textarea id="msts_invoiceme_po_number" cols="40" rows="2" readonly><?php echo $poNumber ?></textarea>
                <?php endif; ?>
            </td>
        </tr>
        <tr>
            <td class="label"><label><?php echo $this->__('Notes') ?></label></td>
            <td class="value">
                <?php if ('-' == $notes) : ?>
                    <strong><?php echo $notes ?></strong>
                <?php else : ?>
                    <textarea id="msts_invoiceme_notes" cols="40" rows="2" readonly><?php echo $notes ?></textarea>
                <?php endif; ?>
            </td>
        </tr>
    </table>
</div>
